package cn.com.countrygarden.bi.main.dto.districtReport;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;

public class RdNewProjectVO {

    private String regionName;

    private String districtName;

    private String projectName;

    private BigDecimal planPlaceArea;

    private BigDecimal totalBuildArea;

    private String buildingType;

    private BigDecimal planiTotalHouseholds;

    private String propertyPrice;

    @JsonFormat(pattern="yyyy/MM/dd",timezone = "GMT+8")
    private Date exhibitionStartDate;

    private BigDecimal exhibitionArea;

    private BigDecimal comprehensiveArea;

    private BigDecimal demonstrationArea;

    @JsonFormat(pattern="yyyy/MM/dd",timezone = "GMT+8")
    private Date startDate;

    @JsonFormat(pattern="yyyy/MM/dd",timezone = "GMT+8")
    private Date endDate;

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public BigDecimal getPlanPlaceArea() {
        return planPlaceArea;
    }

    public void setPlanPlaceArea(BigDecimal planPlaceArea) {
        this.planPlaceArea = planPlaceArea;
    }

    public BigDecimal getTotalBuildArea() {
        return totalBuildArea;
    }

    public void setTotalBuildArea(BigDecimal totalBuildArea) {
        this.totalBuildArea = totalBuildArea;
    }

    public String getBuildingType() {
        return buildingType;
    }

    public void setBuildingType(String buildingType) {
        this.buildingType = buildingType;
    }

    public BigDecimal getPlaniTotalHouseholds() {
        return planiTotalHouseholds;
    }

    public void setPlaniTotalHouseholds(BigDecimal planiTotalHouseholds) {
        this.planiTotalHouseholds = planiTotalHouseholds;
    }

    public String getPropertyPrice() {
        return propertyPrice;
    }

    public void setPropertyPrice(String propertyPrice) {
        this.propertyPrice = propertyPrice;
    }

    public Date getExhibitionStartDate() {
        return exhibitionStartDate;
    }

    public void setExhibitionStartDate(Date exhibitionStartDate) {
        this.exhibitionStartDate = exhibitionStartDate;
    }

    public BigDecimal getExhibitionArea() {
        return exhibitionArea;
    }

    public void setExhibitionArea(BigDecimal exhibitionArea) {
        this.exhibitionArea = exhibitionArea;
    }

    public BigDecimal getComprehensiveArea() {
        return comprehensiveArea;
    }

    public void setComprehensiveArea(BigDecimal comprehensiveArea) {
        this.comprehensiveArea = comprehensiveArea;
    }

    public BigDecimal getDemonstrationArea() {
        return demonstrationArea;
    }

    public void setDemonstrationArea(BigDecimal demonstrationArea) {
        this.demonstrationArea = demonstrationArea;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

}
